Introduction IBM Cloud® Monitoring is a cloud-native, container-intelligence management system that you can include as part of your IBM Cloud architecture. Use it to gain operational visibility into the performance and health of your applications, services, and platforms. It offers administrators, DevOps teams and developers full stack telemetry with advanced features to monitor and troubleshoot, define alerts, and design custom dashboards. For details about using IBM Cloud Monitoring, see the IBM Cloud docshttps://cloud.ibm.com/docs/monitoring?topic=monitoring-getting-startedgetting-started. You can use the Monitoring API to manage dashboards, alerts, and teams. For more information, see the following documentation: - Managing dashboards by using the Python clienthttps://cloud.ibm.com/docs/monitoring?topic=monitoring-dashboardpython - Managing alerts by using the Alerts APIhttps://cloud.ibm.com/docs/monitoring?topic=monitoring-alertapi - Managing alerts by using the Python clienthttps://cloud.ibm.com/docs/monitoring?topic=monitoring-alertpython You can use any of the following methods to manage the Monitoring service: - Python Client: You can use the Python client to manage the Monitoring service. The client is also known as the sdcclient. For more information, see Using the Python clienthttps://cloud.ibm.com/docs/monitoring?topic=monitoring-python-client. - cURL: You can use cURL, a command line tool, from a terminal to manage the Monitoring service by using URL syntax. For more information, see Using cURLhttps://cloud.ibm.com/docs/monitoring?topic=monitoring-mon-curl. Use the following syntax from a terminal to run a cURL command: shell curl -X Method Path Summary GET /platform/v1/teams List Teams POST /platform/v1/teams Create Team DELETE /platform/v1/teams/{teamId} Delete Team GET /platform/v1/teams/{teamId} Get Team PUT /platform/v1/teams/{teamId} Update Team GET /platform/v1/teams/{teamId}/users List Memberships DELETE /platform/v1/teams/{teamId}/users/{userId} Delete Membership GET /platform/v1/teams/{teamId}/users/{userId} Get Membership PUT /platform/v1/teams/{teamId}/users/{userId} Save Membership GET /platform/v1/access-keys List Access Keys POST /platform/v1/access-keys Create Access Key DELETE /platform/v1/access-keys/{accessKeyId} Delete Access Key GET /platform/v1/access-keys/{accessKeyId} Get Access Key PUT /platform/v1/access-keys/{accessKeyId} Update Access Key DELETE /platform/v1/teams/{teamId}/service-accounts/notification-settings Delete Service Accounts Notification Settings GET /platform/v1/teams/{teamId}/service-accounts/notification-settings Get Service Accounts Notification Settings POST /platform/v1/teams/{teamId}/service-accounts/notification-settings Create Service Accounts Notification Settings PUT /platform/v1/teams/{teamId}/service-accounts/notification-settings Update Service Accounts Notification Settings GET /platform/v1/teams/{teamId}/service-accounts List Team Service Accounts POST /platform/v1/teams/{teamId}/service-accounts Create a Team Service Account DELETE /platform/v1/teams/{teamId}/service-accounts/{serviceAccountId} Delete a Team Service Account GET /platform/v1/teams/{teamId}/service-accounts/{serviceAccountId} Get a Team Service Account GET /monitor/alerts/v1/inhibition-rules List Inhibition Rules POST /monitor/alerts/v1/inhibition-rules Create Inhibition Rule DELETE /monitor/alerts/v1/inhibition-rules/{inhibitionRuleId} Delete Inhibition Rule GET /monitor/alerts/v1/inhibition-rules/{inhibitionRuleId} Get Inhibition Rule PUT /monitor/alerts/v1/inhibition-rules/{inhibitionRuleId} Update Inhibition Rule POST /api/v3/dashboards Creates a new dashboard POST /api/v3/dashboards/convertV2 Convert Dashboard V2 into a Dashboard V3 POST /api/v3/dashboards/convertWidgets Convert Dashboard V2 Widgets into DashboardV3Panels POST /api/v3/dashboards/transfer Transfer the ownership of a set of dashboards to another user GET /api/v3/dashboards/{id} Get a single dashboard by id PUT /api/v3/dashboards/{id} Update a given dashboard DELETE /api/v3/dashboards/{id} Delete a given dashboard PATCH /api/v3/dashboards/{id} Set/Unset the dashboard as favorite for the current user GET /api/v3/dashboards/{id}/sharing Get dashboard sharing teams GET /api/v3/dashboards?content{&autoCreated,content,requiredPermission,shared,team} List all dashboards accessible by the user in light mode with or without panels depending on content type GET /api/v3/dashboards?light=true{&autoCreated,content,light,requiredPermission,shared,team} List all dashboards accessible by the user in light mode without panels and layout GET /api/v3/dashboards{?autoCreated,shared,team} List all dashboards accessible for the user POST /api/v3/dashboards/bulk/delete Bulk delete a set of dashboards POST /api/v3/dashboards/bulk/favorite/set Bulk set dashboards as Favorite POST /api/v3/dashboards/bulk/favorite/unset Bulk unset dashboards as Favorite GET /api/v3/dashboards/list{?mostPopular,recentlyViewed} List all dashboards accessible by the user including custom, shared and libraries. Displays also favourites, recently viewed and most recent GET /api/v1/silencingRules Get all the Silencing Rule belonging to the current logged user POST /api/v1/silencingRules Create a new Silencing Rule POST /api/v1/silencingRules/delete Delete all the requested Silencing Rules PATCH /api/v1/silencingRules/disable Disable all the requested Silencing Rules PATCH /api/v1/silencingRules/enable Enable all the requested Silencing Rules GET /api/v1/silencingRules/{silencingRuleId} Get a single Silencing Rule by id PUT /api/v1/silencingRules/{silencingRuleId} Update a Silencing Rule by id DELETE /api/v1/silencingRules/{silencingRuleId} Delete a Silencing Rule by id POST /api/v2/alerts Creates an alert POST /api/v2/alerts/bulk Bulk create alerts POST /api/v2/alerts/create Creates an alert. Note: This endpoint is deprecated in favour of the canonical root endpoint POST /api/v2/alerts/delete Delete all the requested Alerts PATCH /api/v2/alerts/disable Disable all the requested Alerts PATCH /api/v2/alerts/enable Enable all the requested Alerts POST /api/v2/alerts/generateQuery Given an alert configuration, generates the corresponding PromQL query GET /api/v2/alerts/groups{?filter} Retrieve group names PATCH /api/v2/alerts/resolve Resolve events associated with all the requested Alerts PATCH /api/v2/alerts/restore Restore all the requested Alerts GET /api/v2/alerts/summary{?aggregatedEventsMs,alertStatus,deleted,direction,excludePolicyEvents,filter,ids,severities,sortBy,statuses,triggeredAlertsScope,view} List alerts GET /api/v2/alerts/{alertId} Get alert PUT /api/v2/alerts/{alertId} Update alert DELETE /api/v2/alerts/{alertId} Delete alert PATCH /api/v2/alerts/{alertId} Edit alert GET /api/v2/alerts{?aggregatedEventsMs,alertStatus,deleted,direction,excludePolicyEvents,filter,ids,severities,sortBy,statuses,triggeredAlertsScope,view} List alerts POST /api/v2/events Creates a custom event POST /api/v2/events/count Get events count aggregated by time and severity PUT /api/v2/events/{id} Update a custom event DELETE /api/v2/events/{id} Delete an event PATCH /api/v2/events/{id}/resolve Resolve an alert event